Name:          gnome-todo
Version:       3.18.1
Release:       1%{?dist}
Summary:       Personal task manager for GNOME

License:       GPLv3+
URL:           https://git.gnome.org/browse/gnome-todo/
Source0:       https://download.gnome.org/sources/%{name}/3.18/%{name}-%{version}.tar.xz
Patch0:        0001-Fix-a-syntax-error-in-desktop-file-keywords-Swedish-.patch

BuildRequires: git
BuildRequires: intltool
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(goa-1.0)
BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: pkgconfig(libecal-1.2)
BuildRequires: pkgconfig(libedataserver-1.2)
BuildRequires: pkgconfig(libical)
BuildRequires: /usr/bin/desktop-file-validate
BuildRequires: /usr/bin/appstream-util

%description
GNOME To Do is a small application to manage your personal tasks. It
uses GNOME technologies, and so it has complete integration with the
GNOME desktop environment.

%prep
%autosetup -S git
autoreconf --force --install

%build
%configure --disable-debug
%make_build

%install
%make_install
%find_lang %{name}

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/org.gnome.Todo.desktop
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/appdata/org.gnome.Todo.appdata.xml

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
  /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
  /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
  /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%license COPYING
%doc README AUTHORS NEWS
%{_bindir}/%{name}
%{_datadir}/applications/org.gnome.Todo.desktop
%{_datadir}/appdata/org.gnome.Todo.appdata.xml
%{_datadir}/dbus-1/services/org.gnome.Todo.service
%{_datadir}/glib-2.0/schemas/org.gnome.todo.gschema.xml	
%{_datadir}/icons/hicolor/*/apps/gnome-todo.png
%{_datadir}/icons/hicolor/symbolic/apps/gnome-todo-symbolic.svg

%changelog
* Wed Oct 14 2015 David King <amigadave@amigadave.com> - 3.18.1-1
- Update to 3.18.1

* Mon Sep 28 2015 David King <amigadave@amigadave.com> - 3.18.0-3
- Update patch for service file (#1266868)

* Mon Sep 28 2015 David King <amigadave@amigadave.com> - 3.18.0-2
- Fix launching from GNOME Shell (#1266868)

* Mon Sep 21 2015 Kalev Lember <klember@redhat.com> - 3.18.0-1
- Update to 3.18.0

* Mon Sep 14 2015 Kalev Lember <klember@redhat.com> - 3.17.92-1
- Update to 3.17.92

* Wed Sep 02 2015 Kalev Lember <klember@redhat.com> - 3.17.91-1
- Update to 3.17.91

* Tue Jul 21 2015 David King <amigadave@amigadave.com> - 3.17.4-1
- Update to 3.17.4

* Thu Jun 25 2015 David King <amigadave@amigadave.com> - 3.17.3.1-1
- Update to 3.17.3.1

* Tue Jun 23 2015 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 3.17.3-1
- Initial package
